### Enumeration

# Qmi NasLteRegistrationDomain

since: 1.24

#### Declaration

    enum Qmi.NasLteRegistrationDomain

#### Description [src]

LTE registration domain.

Available since: 1.24

#### Members

`QMI_NAS_LTE_REGISTRATION_DOMAIN_NOT_APPLICABLE`

  Not applicable since the UE is not in “Camp Only” mode.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_LTE_REGISTRATION_DOMAIN_CS_ONLY`

  UE is in “Camp Only” mode and the PLMN can provide CS service only.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_LTE_REGISTRATION_DOMAIN_PS_ONLY`

  UE is in “Camp Only” mode and the PLMN can provide PS service only.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_LTE_REGISTRATION_DOMAIN_CS_PS`

  UE is in “Camp Only” mode and the PLMN can provide CS and PS service.

  - Value: `3`
  - Available since: 1.24
`QMI_NAS_LTE_REGISTRATION_DOMAIN_LIMITED_SERVICE`

  UE is in “Camp Only” mode but the PLMN cannot provide any service.

  - Value: `4`
  - Available since: 1.24

#### Type functions

###### qmi_nas_lte_registration_domain_get_string

Gets the nickname string for the `QmiNasLteRegistrationDomain` specified at `val`.

since: 1.24